import 'package:flutter/material.dart';

class ParticipationFeeField extends StatelessWidget {
  final Function(String?) onSaved;

  const ParticipationFeeField({Key? key, required this.onSaved}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return TextFormField(
      decoration: const InputDecoration(
        labelText: 'Frais de participation',
        border: OutlineInputBorder(),
        filled: true,
        fillColor: Colors.white,
      ),
      keyboardType: TextInputType.number,
      validator: (value) {
        if (value == null || value.isEmpty) {
          return 'Veuillez entrer les frais de participation';
        }
        return null;
      },
      onSaved: onSaved,
    );
  }
}
